# Uses of Class
java.awt.color.ICC_Profile

Packages that use ICC_Profile
Package
Description
java.awt.color
Provides classes for color spaces.
java.awt.image
Provides classes for creating and modifying images.

## Uses of ICC_Profile in java.awt.color

Subclasses of ICC_Profile in java.awt.color
Modifier and Type
Class
Description
`class`
`ICC_ProfileGray`
The `ICC_ProfileGray` class is a subclass of the `ICC_Profile` class that represents profiles which meet the following criteria: the color space type of the profile is `TYPE_GRAY` and the profile includes the `grayTRCTag` and `mediaWhitePointTag` tags.
`class`
`ICC_ProfileRGB`
The `ICC_ProfileRGB` class is a subclass of the `ICC_Profile` class that represents profiles which meet the following criteria: the profile's color space type is RGB, and the profile includes the `redColorantTag`, `greenColorantTag`, `blueColorantTag`, `redTRCTag`, `greenTRCTag`, `blueTRCTag`, `mediaWhitePointTag` tags.
Methods in java.awt.color that return ICC_Profile
Modifier and Type
Method
Description
`static ICC_Profile`
ICC_Profile.`getInstance(byte[] data)`
Constructs an `ICC_Profile` object corresponding to the data in a byte array.
`static ICC_Profile`
ICC_Profile.`getInstance(int cspace)`
Constructs an `ICC_Profile` corresponding to one of the specific color spaces defined by the `ColorSpace` class (for example `CS_sRGB`).
`static ICC_Profile`
ICC_Profile.`getInstance(InputStream s)`
Constructs an `ICC_Profile` corresponding to the data in an `InputStream`.
`static ICC_Profile`
ICC_Profile.`getInstance(String fileName)`
Constructs an `ICC_Profile` corresponding to the data in a file.
`ICC_Profile`
ICC_ColorSpace.`getProfile()`
Returns the `ICC_Profile` for this `ICC_ColorSpace`.
Constructors in java.awt.color with parameters of type ICC_Profile
Modifier
Constructor
Description
``
`ICC_ColorSpace(ICC_Profile profile)`
Constructs a new `ICC_ColorSpace` from an `ICC_Profile` object.

## Uses of ICC_Profile in java.awt.image

Methods in java.awt.image that return ICC_Profile
Modifier and Type
Method
Description
`final ICC_Profile[]`
ColorConvertOp.`getICC_Profiles()`
Returns the array of ICC_Profiles used to construct this ColorConvertOp.
Constructors in java.awt.image with parameters of type ICC_Profile
Modifier
Constructor
Description
``
`ColorConvertOp(ICC_Profile[] profiles, RenderingHints hints)`
Constructs a new ColorConvertOp from an array of ICC_Profiles.